<?php

register_custom_url_dashlet();

function register_custom_url_dashlet() {

    $dashlet_opts = array(

        DASHLET_NAME        => 'custom_url',
        DASHLET_TYPE        => DASHLET_TYPE_CORE,
        DASHLET_SERVER_TYPE => SERVER_TYPE_FUSION,
        DASHLET_VERSION     => '1.0.0',
        DASHLET_DATE        => '05/27/2017',
        DASHLET_AUTHOR      => 'Nagios Enterprises',
        DASHLET_DESCRIPTION => _('Define your own embedded URL.'),
        DASHLET_COPYRIGHT   => '&copy; 2017 Nagios Enterprises, LLC',
        DASHLET_HOMEPAGE    => 'www.nagios.com',
        DASHLET_LICENSE     => _('Nagios Software License'),

        DASHLET_PREVIEW     => get_dashlets_base_url() . 'custom_url/custom_url.png',
        DASHLET_LOAD_URL    => get_dashlets_base_url() . 'custom_url/custom_url.php',

        DASHLET_TITLE       => _('Custom URL'),
        DASHLET_BGCOLOR     => 'ffffff',
        DASHLET_PADDING     => '10',
        DASHLET_WIDTH       => '600',
        DASHLET_HEIGHT      => '200',
        DASHLET_REFRESH     => '0',
        DASHLET_OPACITY     => '1.00',

        DASHLET_PARAMS      => array(

            'url' => array(
                'name'      => _('URL'),
                )
            ),
        );

    register_dashlet($dashlet_opts);
}